Subject: Re: [devuan-dev] bug#617: initscripts: brightness init script sets brightness to zero, thus blanking laptop display

From: Olaf Meeuwissen <[email-masked]>
Date: Tue, 12 Oct 2021 20:14:17 +0900

Hi,

Martin Steigerwald writes:

> Dear Mark.
>
> Mark Hindley - 11.10.21, 19:06:44 CEST:
>> The brightness initscript seems to save
>> /sys/class/backlight/intel_backlight/brightness to
>> /var/lib/initscripts/brightness when it is stopped.
>>
>> On your system, what does the
>> /sys/class/backlight/intel_backlight/brightness contain?
>
> I can check tomorrow again. However… after I wrote "512" to the
> "/var/lib/initscripts/brightness" file, brightness is set correctly after
> reboot. So I am not sure I can reproduce the original condition after
> the update anymore.
>
> So or so, I think it would be good to ensure a minimum brightness level,
> as a completely blank display can only be fixed with a live Linux, SSH
> access or some other out of band management access.

Does this mean that even switching to the console (Ctrl-Alt-F1, etc)
doesn't give you a screen where can see what you're doing?

Just wondering,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join